%global srcname sep

Name: python-%{srcname}
Version: 1.0.3
Release: 5%{?dist}
Summary: Astronomical source extraction and photometry in Python

# Code from photutils is BSD (src/overlap.h)
# Code from sextractor is LGPLv3+
# Python wrapper is MIT (sex.pyx)
License: MIT and LGPLv3+ and BSD

URL: http://sep.readthedocs.org/
Source0: https://pypi.io/packages/source/s/sep/sep-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: python3-devel

%description
SEP makes available some of the astronomical source extraction and 
photometry algorithms in Source Extractor as stand-alone 
functions and classes. These operate directly on in-memory numpy arrays 
(no FITS files, configuration files, etc). It’s derived directly from 
(and tested against) the Source Extractor code base.

%package -n python3-%{srcname}
Summary: Astronomical source extraction and photometry in Python
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires: python3-setuptools
BuildRequires: python3-numpy

Requires: python3-numpy

%description -n python3-%{srcname}
SEP makes available some of the astronomical source extraction and 
photometry algorithms in Source Extractor as stand-alone 
functions and classes. These operate directly on in-memory numpy arrays 
(no FITS files, configuration files, etc). It’s derived directly from 
(and tested against) the Source Extractor code base.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%doc AUTHORS.md README.md CHANGES.md
%license licenses/MIT_LICENSE.txt licenses/LGPL_LICENSE.txt licenses/BSD_LICENSE.txt
%{python3_sitearch}/*

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Oct 05 2018 Sergio Pascual <sergiopr@fedoraproject.org> - 1.0.3-4
- Drop python2 subpackage

* Tue Jul 17 2018 Christian Dersch <lupinix@fedoraproject.org> - 1.0.3-3
- BuildRequires: gcc

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Jul 08 2018 Christian Dersch <lupinix@mailbox.org> - 1.0.3-1
- new version, also fixes the FTBFS with Python 3.7

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.0.1-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Sep 11 2017 Sergio Pascual <sergio.pasra@gmail.com> - 1.0.1-1
- New upstream source (1.0.1)

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.0-2
- Rebuild for Python 3.6

* Mon Oct 17 2016 Sergio Pascual <sergio.pasra@gmail.com> - 1.0.0-1
- New upstream (1.0.0)
- License changes to BSD plus MIT plus LGPLv3+

* Tue Sep 13 2016 Sergio Pascual <sergio.pasra@gmail.com> - 0.6.0-1
- New upstream (0.6.0)

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Jul 04 2016 Sergio Pascual <sergio.pasra@gmail.com> - 0.5.2-1
- New upstream (0.5.2)
- Change source url to pypi.io

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 19 2015 Sergio Pascual <sergio.pasra@gmail.com> - 0.4.1-1
- New upstream (0.4.1)
- Use new python macros

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Sergio Pascual <sergio.pasra@gmail.com> - 0.4.0-1
- New upstream (0.4.0)

* Tue Dec 16 2014 Sergio Pascual <sergio.pasra@gmail.com> - 0.2.0-1
- Initial specfile

